[package]
name = "libappstream"
authors.workspace = true
readme = "../README.md"
homepage = "https://world.pages.gitlab.gnome.org/Rust/libappstream-rs/"
description = "Rust bindings for appstream"
license = "MIT"
repository = "https://gitlab.gnome.org/World/Rust/libappstream-rs"
documentation = "https://world.pages.gitlab.gnome.org/Rust/libappstream-rs/git/docs/libappstream/"
categories = ["api-bindings"]
version.workspace = true
keywords = ["appstream", "appdata", "metadata"]
edition = "2021"

[dependencies]
libc = "0.2"

[dependencies.ffi]
package = "libappstream-sys"
path = "./sys"

[dependencies.glib]
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gio]
git = "https://github.com/gtk-rs/gtk-rs-core"

[package.metadata.docs.rs]
rustc-args = ["--cfg", "docsrs"]
rustdoc-args = ["--cfg", "docsrs", "--generate-link-to-definition"]
all-features = true
